import { Provider } from "react-redux";
import { CssBaseline } from "@mui/material";

import store from "$lib/store";
import Layout from "$components/layout";

import DefaultHead from "./DefaultHead";

export default function App() {
	return (
		<>
			<CssBaseline>
				<Provider store={store}>
					<DefaultHead />
					<Layout />
				</Provider>
			</CssBaseline>
		</>
	);
}
