import i18n from "i18next";
import { initReactI18next } from "react-i18next";

import en from "$/translations/en.json";
import enPirate from "$/translations/en.pirate.json";

const resources = {
	en: {
		translation: en,
	},
	"en-PR": {
		translation: enPirate,
	},
};

i18n.use(initReactI18next).init({
	resources,
	lng: "en-PR",
	interpolation: {
		escapeValue: false,
	},
});

export default i18n;
