import { useAppSelector } from "$/lib/hooks";
import { getCurrentAccount } from "$/lib/store/selectors";

export default function HomeTimeline() {
	const account = useAppSelector(getCurrentAccount);

	return (
		<>
			<ul>
				<li>Username: {account.username}</li>
				<li>ID: {account.id}</li>
				<li>Domain: {account.domain}</li>
				<li>Email: {account.email}</li>
			</ul>
		</>
	);
}
